- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# bigip_firewall_global_rules – Manage AFM global rule settings on BIG-IP

New in version 2.8.

- Synopsis
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- Configures the global network firewall rules. These firewall rules are applied to all packets except those going through the management interface. They are applied first, before any firewall rules for the packet’s virtual server, route domain, and/or self IP.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
description string |  | Description for the global list of firewall rules.
enforced_policy string |  | Specifies an enforced firewall policy. `enforced_policy` rules are enforced globally.
provider dictionary added in 2.5 |  | A dict object containing connection details.
| auth_provider string |  | Configures the auth provider for to obtain authentication tokens from the remote device. This option is really used when working with BIG-IQ devices.
| password string / required |  | The password for the user account used to connect to the BIG-IP. You may omit this option by setting the environment variable `F5_PASSWORD`. aliases: pass, pwd
| server string / required |  | The BIG-IP host. You may omit this option by setting the environment variable `F5_SERVER`.
| server_port integer | Default: 443 | The BIG-IP server port. You may omit this option by setting the environment variable `F5_SERVER_PORT`.
| ssh_keyfile path |  | Specifies the SSH keyfile to use to authenticate the connection to the remote device. This argument is only used for cli transports. You may omit this option by setting the environment variable `ANSIBLE_NET_SSH_KEYFILE`.
| timeout integer |  | Specifies the timeout in seconds for communicating with the network device for either connecting or sending commands. If the timeout is exceeded before the operation is completed, the module will error.
| transport string | Choices: cli rest ← | Configures the transport connection to use when connecting to the remote device.
| user string / required |  | The username to connect to the BIG-IP with. This user must have administrative privileges on the device. You may omit this option by setting the environment variable `F5_USER`.
| validate_certs boolean | Choices: no yes ← | If `no`, SSL certificates are not validated. Use this only on personally controlled sites using self-signed certificates. You may omit this option by setting the environment variable `F5_VALIDATE_CERTS`.
service_policy string |  | Specifies a service policy that would apply to traffic globally. The service policy is applied to all flows, provided if there are no other context specific service policy configuration that overrides the global service policy. For example, when a service policy is configured both at a global level, as well as on a firewall rule, and a flow matches the rule, the more specific service policy configuration in the rule will override the service policy setting at the global level. The service policy associated here can be created using the `bigip_service_policy` module.
staged_policy string |  | Specifies a staged firewall policy. `staged_policy` rules are not enforced while all the visibility aspects namely statistics, reporting and logging function as if the staged-policy rules were enforced globally.

## Notes

Note

- For more information on using Ansible to manage F5 Networks devices see https://www.ansible.com/integrations/networks/f5.
- Requires BIG-IP software version >= 12.
- The F5 modules only manipulate the running configuration of the F5 product. To ensure that BIG-IP specific configuration persists to disk, be sure to include at least one task that uses the bigip_config module to save the running configuration. Refer to the module’s documentation for the correct usage of the module to save your running configuration.

## Examples

    - name: Change enforced policy in AFM global rules
      bigip_firewall_global_rules:
        enforced_policy: enforcing1
        provider:
          password: secret
          server: lb.mydomain.com
          user: admin
      delegate_to: localhost

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
description string | changed | The new description. Sample: My description
enforced_policy string | changed | The new global Enforced Policy. Sample: /Common/enforced1
service_policy string | changed | The new global Service Policy. Sample: /Common/service1
staged_policy string | changed | The new global Staged Policy. Sample: /Common/staged1

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by an Ansible Partner. [certified]

### Authors

- Tim Rupp (@caphrim007)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.